package com.zy.bms.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 路牌设备列表视图
 *
 * @author yang xiao kun
 * create on 2021/8/20
 */
@Data
public class LpDeviceListVo {

    /**
     * 设备唯一码
     */
    private String openNum;

    /**
     * 登录 MQTT 账号
     */
    private String username;

    /**
     * 登录 MQTT 密码
     */
    private String password;

    /**
     * 设备组
     */
    private String groupId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 定时唤醒时间
     */
    private BigDecimal wakeInt;

    /**
     * 电量
     */
    private String battery;

    /**
     * 信号
     */
    private String s4g;

    /**
     * 数据更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 状态
     */
    public Integer getStatus() {
        if (updateTime == null || wakeInt == null) return 0;
        return LocalDateTime.now().isAfter(updateTime.plusMinutes(wakeInt.multiply(BigDecimal.valueOf(60)).intValue() + 3)) ? 0 : 1;
    }
}
